<!DOCTYPE html>
<html lang="en">
  <head>
      <style>
          table, th, td {
            border:1px solid black;
        }
        #notes {
            font-family: Arial, Helvetica, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        #notes td, #notes th {
            border: 1px solid #ddd;
            padding: 8px;
        }

        #notes tr:nth-child(even){background-color: #f2f2f2;}

        #notes tr:hover {background-color: #ddd;}

        #notes th {
            padding-top: 12px;
            padding-bottom: 12px;
            text-align: left;
            background-color: #e186a9;
            color: white;
            text-align: center;
        }
        h1 {
            color: black;
            font-family: poppins;
            font-size: 230%;
        }
        h1 {  
            border-color: palevioletred;  
            border-width: .20em;  
            border-style: double; 
            width: 20%;
        }
        .button {
          background-color: #d57192;
          border: none;
          color: white;
          font-family: poppins;
          padding: 10px 20px;
          text-align: center;
          text-decoration: none;
          display: inline-block;
          font-size: 15px;
          margin: 2px 2px;
          cursor: pointer;
          border-radius: 4px;
        }

      </style>
    <meta charset="UTF-8" />
    <title>Note Table</title>
  </head>
  <body>
      <center>
      <h1>Notes</h1>
      <a href="add-note" class="button">Add Note</a>
      <a href="note-list" class="button">Note List</a>
      </center>
      <br>
    <table id="notes">
      <tr>
          <center>
        <th >To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
          </center>
      </tr>
      <!-- TODO loop -->
      {%for note in notes%}
      <tr>
        <td>{{ note.to }}</td>
        <td>{{ note.fromm }}</td>
        <td>{{ note.title }}</td>
        <td>{{ note.message }}</td>
      </tr>
      {% endfor %}
    </table>
  </body>
</html>
